'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.utils = exports.envelope = exports.data = exports.queries = exports.plugins = exports.runner = undefined;

var _fp = require('lodash/fp');

var _runner = require('./runner');

var _runner2 = _interopRequireDefault(_runner);

var _plugins = require('./plugins');

var _plugins2 = _interopRequireDefault(_plugins);

var _envelope = require('./data/envelope');

var _envelope2 = _interopRequireDefault(_envelope);

var _homonyms = require('./data/homonyms');

var _homonyms2 = _interopRequireDefault(_homonyms);

var _data = require('./data/data');

var _data2 = _interopRequireDefault(_data);

var _utils = require('./utils');

var _utils2 = _interopRequireDefault(_utils);

var _hasher = require('./utils/hasher');

var _hasher2 = _interopRequireDefault(_hasher);

var _assertions = require('./utils/assertions');

var _assertions2 = _interopRequireDefault(_assertions);

var _combinators = require('./utils/combinators');

var _combinators2 = _interopRequireDefault(_combinators);

var _fs = require('./utils/fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var utils = (0, _fp.merge)(_utils2.default, { hasher: _hasher2.default, assertions: _assertions2.default, combinators: _combinators2.default, fs: _fs2.default });

exports.runner = _runner2.default;
exports.plugins = _plugins2.default;
exports.queries = _homonyms2.default;
exports.data = _data2.default;
exports.envelope = _envelope2.default;
exports.utils = utils;
exports.default = {
  runner: _runner2.default,
  plugins: _plugins2.default,
  queries: _homonyms2.default,
  data: _data2.default,
  envelope: _envelope2.default,
  utils: utils
};