'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.assertQuery = exports.assertCfg = undefined;

var _fp = require('lodash/fp');

var _envelope = require('../data/envelope');

// TODO: Deprecated. Better use a sort of validation.
var assertCfg = exports.assertCfg = (0, _fp.curry)(function (expected, envelope, _ref) {
  var cfg = _ref.cfg;

  var errors = (0, _fp.reduce)(function (memo, e) {
    if (!(0, _fp.get)(e, cfg)) {
      return (0, _fp.concat)(memo, [e]);
    }
    return memo;
  }, [], expected);

  if (!(0, _fp.isEmpty)(errors)) {
    throw new Error('Missing configuration options: ' + errors.join(', '));
  }
  return envelope;
});

var assertQuery = exports.assertQuery = (0, _fp.curry)(function (type, envelope) {
  if ((0, _fp.isEmpty)((0, _envelope.queriesByType)(type, envelope))) {
    throw new Error('Query type ' + type + ' not found.');
  }
  return envelope;
});

exports.default = {
  assertCfg: assertCfg,
  assertQuery: assertQuery
};