'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.hashWithField = exports.hashKeys = exports.sha256 = undefined;

var _fp = require('lodash/fp');

var _crypto = require('crypto');

var _crypto2 = _interopRequireDefault(_crypto);

var _ = require('./');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var sha256 = exports.sha256 = function sha256(s) {
  return _crypto2.default.createHash('sha256').update(s).digest('hex');
};

var hashKeys = exports.hashKeys = (0, _fp.curry)(function (keys, u) {
  return (0, _fp.flow)([(0, _fp.pick)(keys), _fp.values, _.stringify, sha256])(u);
});

var hashWithField = exports.hashWithField = (0, _fp.curry)(function (field, u) {
  return hashKeys(u[field], u);
});

exports.default = {
  sha256: sha256,
  hashKeys: hashKeys,
  hashWithField: hashWithField
};